Settings
curl --request PUT \
--url https://servers.flashrdp.com/api/server/{serverId}/settings \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bootType": "bios",
"autoConfiguration": true
}
'import requests
url = "https://servers.flashrdp.com/api/server/{serverId}/settings"
payload = {
"bootType": "bios",
"autoConfiguration": True
}
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bootType: 'bios', autoConfiguration: true})
};
fetch('https://servers.flashrdp.com/api/server/{serverId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Settings
Change the settings of the server associated with the specified ID.
PUT
/
server
/
{serverId}
/
settings
Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Path Parameters
Response
Last modified on June 20, 2026
⌘I